// 
// このコードは、https://demo.mescius.jp/diodocs/pdf のサンプルの一部として提供されています。
// © MESCIUS inc. All rights reserved.
// 
using System;
using System.IO;
using System.Drawing;
using GrapeCity.Documents.Pdf;
using GrapeCity.Documents.Text;

namespace DsPdfWeb.Demos
{
    // このサンプルでは、PageCollection.ClonePage() メソッドを使用して、PDF のページを複製する方法を紹介しています。
    public class ClonePage
    {
        public int CreatePDF(Stream stream)
        {
            var doc = new GcPdfDocument();
            using var fs = File.OpenRead(Path.Combine("Resources", "PDFs", "diodocs_catalog.pdf"));
            doc.Load(fs);

            // PDF の1ページ目を複製してドキュメントの先頭に挿入します。
            doc.Pages.ClonePage(0, 0, true, true);

            // PDF を保存します。
            doc.Save(stream);
            return doc.Pages.Count;
        }
    }
}
